import QtQuick 2.9
import QtQuick.Window 2.2
import QtQuick.Controls 2.0

Rectangle{

    anchors.top: parent.top;
    anchors.left: parent.left;
    anchors.right: parent.right;
    anchors.bottom: parent.bottom;

    /*
    Component {
        id: cardDelegate;

        Rectangle {
            id : wrapper;
            width: 160;
            height: 200;
            property bool isHover: false;
            //color: GridView.isCurrentItem ? "wheat":"white" //选中颜色设置
            color: isHover == true ? "wheat" : "white"
            //color: "wheat";

            MouseArea{
                anchors.fill : parent;
                onClicked: m_cardView.currentIndex = index;  //实现item切换

                hoverEnabled: true
                onEntered: {
                    isHover = true;
                }

                onExited: {
                    isHover = false;
                }
            }

            Text {
                anchors.top: parent.top;
                anchors.topMargin: 10;
                id : titleID
                text: title_;
                color:  "black";
                anchors.horizontalCenter: parent.horizontalCenter;
                font.pixelSize: 15;
                width: 140;
                height: 30;
            }

            Text {
                anchors.top: titleID.bottom;
                anchors.topMargin: 2;
                anchors.horizontalCenter: parent.horizontalCenter;
                id: nameId
                color: "black"
                lineHeight: 1
                wrapMode: Text.WrapAnywhere
                elide: Text.ElideNone
                maximumLineCount:5
                width: 140;
                height: 120;
                text: content_;
                font.pixelSize: 12;
            }

            Text {
                id : edittimeID
                text: edittime_;
                color:  "black";
                anchors.top: nameId.bottom;
                anchors.horizontalCenter: parent.horizontalCenter;
                font.pixelSize: 12;
                width: 140;
                height: 30;
            }

        }
    }*/

    GridView {
        id : m_cardView
        cellWidth: 160;
        cellHeight: 200;
        anchors.top: parent.top;
        anchors.left: parent.left;
        anchors.right: parent.right;
        anchors.bottom: parent.bottom;
        model: modellist
        delegate : cardDelegate;
        clip: true;
        boundsBehavior:  Flickable.StopAtBounds;
    }

}
