import QtQuick 2.0
import QtQuick.Window 2.2
import QtQuick.Layouts 1.11
import org.deepin.dtk 1.0

Rectangle {
    id: multiSelectViewRoot
    anchors.fill: parent

    property int m_iMultiNotesCount: 0

    ColumnLayout {
        anchors.centerIn: parent

        DciIcon {
            Layout.alignment: Qt.AlignHCenter
            name: "home_page_empty"
            sourceSize {
                width: 284
                height: 208
            }
        }

        Item { height: 20 }

        Label {
            Layout.alignment: Qt.AlignHCenter
            font: DTK.fontManager.t4
            text: qsTr("%1 notes selected").arg(m_iSelectedNoteSum)
        }

        Item { height: 20 }

        FloatingPanel {
            Layout.alignment: Qt.AlignHCenter
            contentItem: RowLayout {
                spacing: 5

                ToolButton {
                    icon.name: "move_notes"
                    text: qsTr("Move")

                    onClicked: {

                    }
                }

                ToolButton {
                    icon.name: "export"
                    text: qsTr("Export")

                    onClicked: {

                    }
                }

                ToolButton {
                    icon.name: "trash"
                    text: qsTr("Trash")

                    onClicked: {

                    }
                }
            }
        }
    }
}
