/*
* Copyright (C) 2019 ~ 2022 Uniontech Software Technology Co.,Ltd.
*
* Author:     guoshaoyu <guoshaoyu@deepin.io>
*
* Maintainer: guoshaoyu <guoshaoyu@uniontech.com>
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef GLOBALDEF_H
#define GLOBALDEF_H

/* app name */
#define DEEPIN_NOTE "deepin-note"
/* organization name */
#define DEEPIN      "deepin"

/* Default main window size */
#define DEFAULT_WINDOWS_WIDTH 1200
#define DEFAULT_WINDOWS_HEIGHT 800

/* SearchEdit Size */
#define VNOTE_SEARCHBAR_H 36
#define VNOTE_SEARCHBAR_W 350

/* note tree view minimum width */
#define NOTETREEVIEW_MINIMUM_WIDTH 150
/* note tree view maximum width */
#define NOTETREEVIEW_MAXIMUM_WIDTH 300
/* note list view minimum width */
#define NOTELISTVIEW_MINIMUM_WIDTH 200
/* note list view maximum width */
#define NOTELISTVIEW_MAXIMUM_WIDTH 300
/* note edit view minimum width */
#define NOTEEDITVIEW_MINIMUM_WIDTH 400

#endif // GLOBALDEF_H
