#include "noteqmlappplugin.h"

//#include <DApplication>

//DWIDGET_USE_NAMESPACE
//DCORE_USE_NAMESPACE

NoteQmlAppPlugin::NoteQmlAppPlugin(QObject *parent) : QObject(parent)
{

}

NoteQmlAppPlugin::~NoteQmlAppPlugin()
{

}

int NoteQmlAppPlugin::main(QGuiApplication *app, QQmlApplicationEngine *engine)
{
    engine->load(QUrl(QStringLiteral("qrc:/qml/main.qml")));
    if (engine->rootObjects().isEmpty()) {
        return -1;
    }

    app->setOrganizationName(DEEPIN);
    app->setApplicationName(DEEPIN_NOTE);
    app->setApplicationVersion("1.0");
    app->setWindowIcon(QIcon::fromTheme(DEEPIN_NOTE));
    //app->setApplicationDisplayName(DApplication::translate("AppMain",
                                                          // "Voice Notes is a lightweight memo tool to make text notes and voice recordings."));

    return app->exec();
}

QGuiApplication *NoteQmlAppPlugin::createApplication(int &argc, char **argv)
{
    if (qEnvironmentVariableIsEmpty("XDG_CURRENT_DESKTOP")) {
        qputenv("XDG_CURRENT_DESKTOP", "Deepin");
    }

    //DApplication *app = new DApplication(argc, argv);

    //return app;
}
