import QtQuick 2.0
//import Qt.labs.platform 1.0
import org.deepin.dtk 1.0
import NoteBacked 1.0

Item {
    property alias treeRightMenu: treeRightMenu
    property alias treerecycleMenu: treerecycleMenu
    property alias treequickNoteMenu: treequickNoteMenu
    property real posx: 0
    property real posy: 0
    property var index
    signal  signalRename(var id)

    Menu {
        id: treeRightMenu
        x: posx
        y: posy
        MenuItem {
            text: qsTr("New note");
            onClicked: {
                root.signalAddNote(modeltree.slotGetItemFolderId(index))
            }
        }
        MenuItem {
            text: qsTr("New nested notebook");
            enabled: sel.depth > 9 ? false :true
            onClicked: {
                root.creatNoteBookDiaalog(InteractionManager.CreatMulNotebook,"")
            }
        }
        MenuItem {
            text: qsTr("Rename");
            onClicked: {
                signalRename(index)
            }
        }
        MenuItem {
            text: qsTr("Edit notebook");
            onClicked: {
                root.creatNoteBookDiaalog(InteractionManager.ModifyNotebook, modeltree.slotGetItemName(index))
            }
        }
        MenuSeparator {}
        MenuItem {
            text: qsTr("Delete notebook");
            onClicked: {
                //调用接口删除笔记本
                root.deleteNoteBookDialog()
            }
        }
    }

    Menu {
        id: treerecycleMenu
        x: posx
        y: posy
        MenuItem {
            text: qsTr("Empty Trash")
            enabled: modeltree.slotGetItemCount(index)
            onClicked: { root.signalDeleteAll()}
        }
    }

    Menu {
        id: treequickNoteMenu
        x: posx
        y: posy
        MenuItem {
            text: qsTr("New note") ;
            onClicked: {
                root.signalAddNote(modeltree.slotGetItemFolderId(index))
            }
        }
    }
}
