import QtQuick 2.0
import NoteBacked 1.0

ListModel {
    id: sortModel
    /*当前选中的笔记节点类型*/
    property int currentModel: InteractionManager.QUICKNOTEROOT

    /*记录在文件的默认选中排序序号*/
    property int defaultIndex: 0

    Component.onCompleted: {
        var mainWindowMap = [{"type": InteractionManager.ModifyTime, "text": "Time modified"},
                             {"type": InteractionManager.CreationTime, "text": "Time created"},
                             {"type": InteractionManager.NoteName, "text": "Note name"},
                             {"type": InteractionManager.Customize, "text": "Custom"}]

        var recycleListMap = [{"type": InteractionManager.DeteleTime, "text": "Time deleted"},
                              {"type": InteractionManager.CreationTime, "text": "Time created"},
                              {"type": InteractionManager.ModifyTime, "text": "Time modified"},
                              {"type": InteractionManager.NoteName, "text": "Note name"}]

        var currentMap = []

        if (sortModel.currentModel === InteractionManager.QUICKNOTEROOT
                || sortModel.currentModel === InteractionManager.NOTEBOOKNORMAL) {
            currentMap = mainWindowMap
        } else if (sortModel.currentModel === InteractionManager.RECYCLEROOT) {
            currentMap = recycleListMap
        }

        for (var i in currentMap) {
            append({ type: currentMap[i].type, text: qsTr(currentMap[i].text), checkable: true, order: Qt.AscendingOrder})
        }

        for (var j in currentMap) {
            if (currentMap[j].type === interactionManager.getNoteSortModel(currentModel)) {
                defaultIndex = j
                break
            }
        }
        setProperty(defaultIndex, "order", Qt.DescendingOrder)
    }
}
